<?php
if (!function_exists('ekta_directory_theme_options')) :
    function ekta_directory_theme_options()
    {
        $defaults = array(

            'banner_title' => '',
            'site_title_show' => 1,
            'banner_bg_image' => '',
            'cta_show' => 1,
            'cta_title' => '',
            'cta_button_txt' => '',
            'cta_button_url' => '',
            'cta_bg_image' => '',
            'listing_item_show' => 1,
            'listing_item_title' => '',
            'listing_item_desc' => '',
            'blog_show' => 1,
            'blog_title' => '',
            'blog_desc' => '',
            'blog_category' => '',
            'show_prefooter' => 1,
            'cat_column' => 1,
            'listing_cat_show' => 1,
            'listing_cat_title' => '',
            'listing_cat_desc' => '',
            'listing_column' => '3column',
            'cat_layout' => 'withimage',


        );

        $options = get_option('ekta_directory_theme_options', $defaults);

        //Parse defaults again - see comments
        $options = wp_parse_args($options, $defaults);

        return $options;
    }
endif;
